MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sc::MOIntsTransformFactory Class Reference

MOIntsTransformFactory is a factory that produces MOIntsTransform objects. More...

`#include <transform_factory.h>`

Inheritance diagram for sc::MOIntsTransformFactory:
[legend]
Collaboration diagram for sc::MOIntsTransformFactory:
[legend]

## Public Types
enum | StoreMethod { mem_posix = 0, posix = 1, mem_mpi = 2, mpi = 3, mem_only = 4 }
| Describes the method of storing transformed MO integrals.

## Public Member Functions
| MOIntsTransformFactory (StateIn &)
| MOIntsTransformFactory (const Ref< Integral > &integral, const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2=0, const Ref< MOIndexSpace > &space3=0, const Ref< MOIndexSpace > &space4=0)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | set_spaces (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2=0, const Ref< MOIndexSpace > &space3=0, const Ref< MOIndexSpace > &space4=0)
| Sets the orbital spaces.
void | set_top_mole (const Ref< MolecularEnergy > &top_mole)
| Specifies the top-level MolecularEnergy object to use for checkpointing.
void | set_ints_method (const StoreMethod method)
| Sets the method of storing transformed MO integrals. Default method is mem_posix.
void | set_file_prefix (const std::string &prefix)
| Sets the name of the file to hold the integrals.
void | set_debug (int debug)
void | set_dynamic (bool dynamic)
void | set_print_percent (double print_percent)
void | set_memory (size_t nbytes)
Ref< Integral > | integral () const
| Returns the Integral factory.
const StoreMethod | ints_method () const
| Returns the method of storing transformed MO integrals.
const std::string | file_prefix () const
| Sets the name of the file to hold the integrals.
const int | debug () const
const bool | dynamic () const
const double | print_percent () const
const size_t | memory () const
Ref< MOIndexSpace > | space1 () const
| Returns MOIndexSpace object 1.
Ref< MOIndexSpace > | space2 () const
| Returns MOIndexSpace object 2.
Ref< MOIndexSpace > | space3 () const
| Returns MOIndexSpace object 3.
Ref< MOIndexSpace > | space4 () const
| Returns MOIndexSpace object 4.
Ref< TwoBodyMOIntsTransform > | twobody_transform_13 (const std::string &id)
| Creates an TwoBodyMOIntsTransform object that will compute (pq|rs) integrals stored in qs blocks for each pr.
Ref< TwoBodyMOIntsTransform > | twobody_transform_12 (const std::string &id)
| Creates an TwoBodyMOIntsTransform object that will compute (pq|rs) integrals stored in rs blocks for each pq.
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Member Functions inherited from sc::SavableState
| SavableState (const SavableState &)
| SavableState (StateIn &)
| Each derived class StateIn CTOR handles the restore corresponding to calling save_object_state, save_vbase_state, and save_data_state listed above. More...

## Detailed Description

MOIntsTransformFactory is a factory that produces MOIntsTransform objects.

## Member Function Documentation

void sc::MOIntsTransformFactory::save_data_state | ( | StateOut & |  | ) |
| virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- transform_factory.h